Query the Health Endpoint
Each Cribl Stream, Cribl Edge, and Cribl Outpost instance exposes a GET /health endpoint that provides information about the status of the server. This endpoint is commonly used with a load balancer to support operational decision-making.
About Code Examples
Code examples use Bearer token authentication. Read the API authentication documentation to learn how to configure authentication. The API Credential (Cribl.Cloud and hybrid) or login credentials (on-prem) that you use to obtain the Bearer token must have the necessary Permissions for the operations in code examples.
Replace the variables in code examples with the corresponding information for your Cribl deployment.
For on-prem deployments, to use
httpsin request URLs, you must configure Transport Layer Security (TLS).Health checks on Outpost Nodes must use
httpinstead ofhttps.Code examples do not include all available body parameters. For a complete list of body parameters for specific endpoints, refer to the documentation in the API Reference.
Retrieve Server Status Information
The following examples demonstrate requests to the GET /health endpoint in Cribl.Cloud/hybrid and on-prem deployments.
Requests to GET /health in the global context do not require authentication. Requests to GET /health for a Worker or Edge Node (host context) are sent to the Leader, which proxies the call to the Node. These requests for a Node do require authentication with a Bearer token to authorize the proxy.
Replace the variables in the URL with the correct values for your deployment.
curl --request GET \
--url "https://${workspaceName}-${organizationId}.cribl.cloud/api/v1/health" \
--header "accept: application/json"curl --request GET \
--url "https://${hostname}:${port}/api/v1/health" \
--header "accept: application/json"curl --request GET \
--url "https://${workspaceName}-${organizationId}.cribl.cloud/api/v1/w/${nodeId}/health" \
--header "Authorization: Bearer ${token}" \
--header "accept: application/json"curl --request GET \
--url "https://${hostname}:${port}/api/v1/w/${nodeId}/health" \
--header "Authorization: Bearer ${token}" \
--header "accept: application/json"The response is a JSON object similar to the following example:
{"status": "healthy","startTime": 1741961168122}Interpret HTTP Status Codes
In the response header, the /health endpoint returns one of the following HTTP status codes:
| HTTP Status Code | Meaning |
|---|---|
| 200 OK | The server is running. |
| 420 Shutting Down | The server is in the process of shutting down or is in standby. |
The HTTP status code 200 OK is a healthy response but indicates only that the server is running. It does not mean that all of the instance’s configured Sources are functioning correctly.
Several HTTP-based Sources allow you to enable a Source-level health check endpoint in their Advanced Settings. See the documentation for each Source for more information.